### Property

# Phosh TopPanel:state

#### Declaration

    property state: Phosh.TopPanelState [ read ]

#### Description [src]

Whether the top-panel is currently `folded` (only top-bar is visible) or `unfolded` (settings and notification area are visible). The property is updated when the widget reaches its target state.

Type:`PhoshTopPanelState`

Default value | PHOSH_TOP_PANEL_STATE_UNFOLDED
Getter method | `phosh_top_panel_get_state()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no